<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/constraint_layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".activity.ActivityPlay">

    <RelativeLayout
        android:id="@+id/title_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="34dp"
        android:orientation="horizontal"
        android:paddingBottom="12dp"
        app:layout_constraintTop_toTopOf="parent">

        <com.prank.app.color.utils.CustomerText
            android:id="@+id/name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:text="@string/app_name"
            android:textColor="@color/black"
            android:textSize="18sp"
            app:apply_font="true" />


        <ImageView
            android:id="@+id/back"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_centerVertical="true"
            android:padding="10dp"
            android:src="@drawable/ic_back_black" />


    </RelativeLayout>


    <LinearLayout
        android:id="@+id/linear_layout"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="15dp"
        android:background="@drawable/play_bg1"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/title_layout">

        <ImageView
            android:id="@+id/image"
            android:layout_width="160dp"
            android:layout_height="160dp"
            android:layout_gravity="center"
            android:layout_marginTop="55dp"
            android:src="@mipmap/ic_launcher" />


        <LinearLayout
            android:id="@+id/play_parent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="25dp"
            android:gravity="center"
            android:orientation="horizontal">

            <ProgressBar
                android:id="@+id/play_loading"
                android:layout_width="34dp"
                android:layout_height="34dp"
                android:layout_gravity="center"
                android:indeterminateTint="@color/white" />

            <!--            <ImageView-->
            <!--                android:id="@+id/btn_play"-->
            <!--                android:layout_width="62dp"-->
            <!--                android:layout_height="62dp"-->
            <!--                android:src="@drawable/selector_play_pause" />-->

            <FrameLayout
                android:id="@+id/btn_play"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center">

                <com.prank.app.color.utils.RippleView
                    android:id="@+id/rippleView"
                    android:layout_width="150dp"
                    android:layout_height="150dp" />

                <ImageView
                    android:layout_width="62dp"
                    android:layout_height="62dp"
                    android:layout_gravity="center"
                    android:src="@drawable/selector_play_pause" />
            </FrameLayout>


        </LinearLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            app:layout_constraintTop_toBottomOf="@id/play_parent">

            <ImageView
                android:id="@+id/im_timer"
                android:layout_width="45dp"
                android:layout_height="45dp"
                android:layout_marginStart="66dp"

                android:layout_marginEnd="15dp"
                android:padding="4dp"
                android:src="@drawable/ic_true_timer"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent" />


            <ImageView
                android:id="@+id/im_loop"
                android:layout_width="45dp"
                android:layout_height="45dp"
                android:layout_marginStart="15dp"
                android:padding="2dp"
                android:src="@drawable/selector_looper"
                app:layout_constraintLeft_toRightOf="@id/im_timer"
                app:layout_constraintTop_toTopOf="@id/im_timer" />


            <ImageView
                android:id="@+id/im_like"
                android:layout_width="45dp"
                android:layout_height="45dp"
                android:layout_marginStart="15dp"
                android:padding="5dp"
                android:src="@drawable/selector_favorite"
                app:layout_constraintLeft_toRightOf="@id/im_loop"
                app:layout_constraintTop_toTopOf="@id/im_timer" />

            <RelativeLayout
                android:id="@+id/layout_volume"
                android:layout_width="match_parent"
                android:layout_height="56dp"
                android:layout_marginStart="20dp"
                android:layout_marginEnd="20dp"
                android:paddingStart="10dp"
                android:paddingEnd="10dp"
                app:layout_constraintTop_toBottomOf="@id/im_timer">

                <ImageView
                    android:id="@+id/im"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_volume_white" />

                <SeekBar
                    android:id="@+id/seekbar"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_toEndOf="@id/im"
                    android:maxHeight="7dp"
                    android:progress="10"
                    android:progressDrawable="@drawable/progress_draw_play"
                    android:thumb="@drawable/pb_oval_white_thumb" />

            </RelativeLayout>
        </androidx.constraintlayout.widget.ConstraintLayout>


    </LinearLayout>


    <com.prank.app.color.utils.CustomerText
        android:id="@+id/more_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:layout_marginStart="15dp"
        android:layout_marginBottom="10dp"
        android:text="@string/more"
        android:textColor="@color/black"
        android:textSize="14sp"
        android:visibility="gone"
        app:apply_font="true"
        app:layout_constraintBottom_toTopOf="@id/more_recycler"
        app:layout_constraintLeft_toLeftOf="parent" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/more_recycler"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="40dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent" />


</androidx.constraintlayout.widget.ConstraintLayout>